
#ifndef __BQ25713_H__
#define __BQ25713_H__

int bq2571x_init(void);
int bq2571x_enable_charge();
int bq2571x_disable_charge();
int bq2571x_set_charge_current(int curr);
int bq2571x_set_charge_voltage(int volt);
int bq2571x_set_input_voltage_limit(int volt);
int bq2571x_set_input_current_limit(int curr);
int bq2571x_enable_otg();
int bq2571x_disable_otg();
int bq2571x_set_otg_voltage(int volt);
int bq2571x_set_otg_current(int curr);

int bq2571x_read_vbat_volt(int *);
int bq2571x_read_chg_current(int *curr);

void bq2571x_reg_dump(void);
int bq2571x_get_fault_status(uint8_t *fault);
int bq2571x_get_charging_status(bool *is_charging);
int bq2571x_get_ac_present(bool *pres);
int bq2571x_get_otg_mode(bool *otg_active);
int bq2571x_set_adc_current_sel(bool as_chg);
#endif
