#ifndef __BQ25713_HEADER__
#define __BQ25713_HEADER__

#define BQ25713_REG_CHARGE_OPTION0                0x0
#define BQ25713_LWPWR_MODE_CTRL_MASK              0x8000
#define BQ25713_LWPWR_MODE_CTRL_SHIFT             15
#define BQ25713_LWPWR_MODE_ENABLE                 1
#define BQ25713_LWPWR_MODE_DISABLE                0
#define BQ25713_WDTMR_ADJ_MASK                    0x6000
#define BQ25713_WDTMR_ADJ_SHIFT                   13
#define BQ25713_WDTMR_DISABLE                     0
#define BQ25713_WDTMR_5S                          1
#define BQ25713_WDTMR_88S                         2
#define BQ25713_WDTMR_175S                        3
#define BQ25713_IDPM_AUTO_CTRL_MASK               0x1000
#define BQ25713_IDPM_AUTO_CTRL_SHIFT              12
#define BQ25713_IDPM_AUTO_ENABLE                  0
#define BQ25713_IDPM_AUTO_DISABLE                 1
#define BQ25713_OTG_ON_CHRGOK_CTRL_MASK           0x800
#define BQ25713_OTG_ON_CHRGOK_CTRL_SHIFT          11
#define BQ25713_OTG_ON_CHRGOK_DISABLE             0
#define BQ25713_OTG_ON_CHRGOK_ENABLE              1
#define BQ25713_OUT_OF_AUDIO_CTRL_MASK            0x400
#define BQ25713_OUT_OF_AUDIO_CTRL_SHIFT           10
#define BQ25713_OOA_DISABLE                       0
#define BQ25713_OOA_ENABLE                        1
#define BQ25713_PWM_FREQ_MASK                     0x200
#define BQ25713_PWM_FREQ_SHIFT                    9
#define BQ25713_PWM_FREQ_1200KHZ                  0
#define BQ25713_PWM_FREQ_800KHZ                   1
#define BQ25713_PTM_LL_EFF_MASK                   0x100
#define BQ25713_PTM_LL_EFF_SHIFT                  8
#define BQ25713_PTM_LL_EFF_DISABLE                0
#define BQ25713_PTM_LL_EFF_ENABLE                 1
#define BQ25713_SYS_SHORT_HICCUP_CTRL_MASK        0x40
#define BQ25713_SYS_SHORT_HICCUP_CTRL_SHIFT       6
#define BQ25713_SYS_SHORT_HICCUP_ENABLE           0
#define BQ25713_SYS_SHORT_HICCUP_DISABLE          1
#define BQ25713_LEARN_MODE_CTRL_MASK              0x20
#define BQ25713_LEARN_MODE_CTRL_SHIFT             5
#define BQ25713_LEARN_MODE_DISABLE                0
#define BQ25713_LEARN_MODE_ENABLE                 1
#define BQ25713_IADPT_GAIN_MASK                   0x10
#define BQ25713_IADPT_GAIN_SHIFT                  4
#define BQ25713_IADPT_GAIN_20X                    0
#define BQ25713_IADPT_GAIN_40X                    1
#define BQ25713_IBAT_GAIN_MASK                    0x08
#define BQ25713_IBAT_GAIN_SHIFT                   3
#define BQ25713_IBAT_GAIN_8X                      0
#define BQ25713_IBAT_GAIN_16X                     1
#define BQ25713_LDO_MODE_CTRL_MASK                0x04
#define BQ25713_LDO_MODE_CTRL_SHIFT               2
#define BQ25713_LDO_MODE_DISABLE                  0
#define BQ25713_LDO_MODE_ENABLE                   1
#define BQ25713_IDPM_CTRL_MASK                    0x02
#define BQ25713_IDPM_CTRL_SHIFT                   1
#define BQ25713_IDPM_DISABLE                      0
#define BQ25713_IDPM_ENABLE                       1
#define BQ25713_CHRG_CTRL_MASK                    0x01
#define BQ25713_CHRG_CTRL_SHIFT                   0
#define BQ25713_CHRG_ENABLE                       0
#define BQ25713_CHRG_DISABLE                      1

#define BQ25713_REG_CHARGE_OPTION1                0x30
#define BQ25713_IBAT_OUTPUT_BUF_CTRL_MASK         0x8000
#define BQ25713_IBAT_OUTPUT_BUF_CTRL_SHIFT        15
#define BQ25713_IBAT_OUTPUT_BUF_DISABLE           0
#define BQ25713_IBAT_OUTPUT_BUF_ENABLE            1
#define BQ25713_LWPWR_PROCHOT_CTRLBQ25713_IBAT_OUTPUT_BUF_ENABLE_MASK           0x6000
#define BQ25713_LWPWR_PROCHOT_CTRL_SHIFT          13
#define BQ25713_LWPWR_PROCHOT_DISABLE             0
#define BQ25713_LWPWR_PROCHOT_IDCHG_ENABLE        1
#define BQ25713_LWPWR_PROCHOT_VSYS_ENABLE         2
#define BQ25713_LWPWR_PROCHOT_CTRL_RSVED          3
#define BQ25713_PSYS_CTRL_MASK                    0x1000
#define BQ25713_PSYS_CTRL_SHIFT                   12
#define BQ25713_PSYS_DISABLE                      0
#define BQ25713_PSYS_ENABLE                       1
#define BQ25713_RSNS_RAC_MASK                     0x800
#define BQ25713_RSNS_RAC_SHIFT                    11
#define BQ25713_RSNS_RAC_10OHOM                   0
#define BQ25713_RSNS_RAC_20OHOM                   1
#define BQ25713_RSNS_RSR_MASK                     0x400
#define BQ25713_RSNS_RSR_SHIFT                    10
#define BQ25713_RSNS_RSR_10OHOM                   0
#define BQ25713_RSNS_RSR_20OHOM                   1
#define BQ25713_PSYS_RATIO_MASK                   0x200
#define BQ25713_PSYS_RATIO_SHIFT                  9
#define BQ25713_PSYS_RATIO_0P25UAW                0
#define BQ25713_PSYS_RATIO_1UAW                   1
#define BQ25713_CMP_REF_MASK                      0x80
#define BQ25713_CMP_REF_SHIFT                     7
#define BQ25713_CMP_REF_2P3V                      0
#define BQ25713_CMP_REF_1P2V                      1
#define BQ25713_CMP_POL_MASK                      0x40
#define BQ25713_CMP_POL_SHIFT                     6
#define BQ25713_CMP_POL_ABOVE                     0
#define BQ25713_CMP_POL_BELOW                     1
#define BQ25713_CMP_DEG_TIME_MASK                 0x30
#define BQ25713_CMP_DEG_TIME_SHIFT                4
#define BQ25713_CMP_DEG_DISABLE                   0
#define BQ25713_CMP_DEG_1US                       1
#define BQ25713_CMP_DEG_2MS                       2
#define BQ25713_CMP_DEG_5S                        3
#define BQ25713_POWER_PATH_CTRL_MASK              0x08
#define BQ25713_POWER_PATH_CTRL_SHIFT             3
#define BQ25713_POWER_PATH_ON                     0
#define BQ25713_POWER_PATH_OFF                    1
#define BQ25713_SHIP_DSG_CTRL_MASK                0x02
#define BQ25713_SHIP_DSG_CTRL_SHIFT               1
#define BQ25713_SHIP_DSG_DISABLE                  0
#define BQ25713_SHIP_DSG_ENABLE                   1
#define BQ25713_AUTO_WAKEUP_CTRL_MASK             0x01
#define BQ25713_AUTO_WAKEUP_CTRL_SHIFT            0
#define BQ25713_AUTO_WAKEUP_ENABLE                0
#define BQ25713_AUTO_WAKEUP_DISABLE               1

#define BQ25713_REG_CHARGE_OPTION2                0x32
#define BQ25713_PPM_OVERLOAD_TIME_MASK            0xC000
#define BQ25713_PPM_OVERLOAD_TIME_SHIFT           14
#define BQ25713_PPM_OVERLOAD_1MS                  0
#define BQ25713_PPM_OVERLOAD_2MS                  1
#define BQ25713_PPM_OVERLOAD_10MS                 2
#define BQ25713_PPM_OVERLOAD_20MS                 3
#define BQ25713_PPM_IDPM_CTRL_MASK                0x2000
#define BQ25713_PPM_IDPM_CTRL_SHIFT               13
#define BQ25713_PPM_IDPM_DISABLE                  0
#define BQ25713_PPM_IDPM_ENABLE                   1
#define BQ25713_PPM_VSYS_CTRL_MASK                0x1000
#define BQ25713_PPM_VSYS_CTRL_SHIFT               12
#define BQ25713_PPM_VSYS_DISABLE                  0
#define BQ25713_PPM_VSYS_ENABLE                   1
#define BQ25713_PPM_OVERLOAD_STAT_MASK            0x800
#define BQ25713_PPM_OVERLOAD_STAT_SHIFT           11
#define BQ25713_PPM_OVERLOAD_INACTIVE             0
#define BQ25713_PPM_OVERLOAD_ACTIVE               1
#define BQ25713_PPM_RELAX_STAT_MASK               0x400
#define BQ25713_PPM_RELAX_STAT_SHIFT              10
#define BQ25713_PPM_RELAX_INACTIVE                0
#define BQ25713_PPM_RELAX_ACTIVE                  1
#define BQ25713_PPM_CYCLE_TIME_MASK               0x300
#define BQ25713_PPM_CYCLE_TIME_SHIFT              8
#define BQ25713_PPM_CYCLE_TIME_5MS                0
#define BQ25713_PPM_CYCLE_TIME_10MS               1
#define BQ25713_PPM_CYCLE_TIME_20MS               2
#define BQ25713_PPM_CYCLE_TIME_40MS               3
#define BQ25713_ILIM_PIN_CTRL_MASK                0x80
#define BQ25713_ILIM_PIN_CTRL_SHIFT               7
#define BQ25713_ILIM_PIN_DISABLE                  0
#define BQ25713_ILIM_PIN_ENABLE                   1
#define BQ25713_IBAT_PIN_CTRL_MASK                0x40
#define BQ25713_IBAT_PIN_CTRL_SHIFT               6
#define BQ25713_IBAT_PIN_DSG                      0
#define BQ25713_IBAT_PIN_CHG                      1
#define BQ25713_Q2_OCP_TH_MASK                    0x20
#define BQ25713_Q2_OCP_TH_SHIFT                   5
#define BQ25713_Q2_OCP_TH_210MV                   0
#define BQ25713_Q2_OCP_TH_150MV                   1
#define BQ25713_ACX_OCP_TH_MASK                   0x10
#define BQ25713_ACX_OCP_TH_SHIFT                  4
#define BQ25713_ACX_OCP_TH_280MV                  0
#define BQ25713_ACX_OCP_TH_150MV                  1
#define BQ25713_ACOC_CTRL_MASK                    0x08
#define BQ25713_ACOC_CTRL_SHIFT                   3
#define BQ25713_ACOC_DISABLE                      0
#define BQ25713_ACOC_ENABLE                       1
#define BQ25713_ACOC_VTH_MASK                     0x04
#define BQ25713_ACOC_VTH_SHIFT                    2
#define BQ25713_ACOC_VTH_133PCT                   0
#define BQ25713_ACOC_VTH_200PCT                   1
#define BQ25713_BATOC_CTRL_MASK                   0x02
#define BQ25713_BATOC_CTRL_SHIFT                  1
#define BQ25713_BATOC_DISABLE                     0
#define BQ25713_BATOC_ENABLE                      1
#define BQ25713_BATOC_VTH_MASK                    0x01
#define BQ25713_BATOC_VTH_SHIFT                   0
#define BQ25713_BATOC_VTH_150PCT                  0
#define BQ25713_BATOC_VTH_200PCT                  1

#define BQ25713_REG_CHARGE_OPTION3                0x34
#define BQ25713_HIZ_MODE_CTRL_MASK                0x8000
#define BQ25713_HIZ_MODE_CTRL_SHIFT               15
#define BQ25713_HIZ_MODE_DISABLE                  0
#define BQ25713_HIZ_MODE_ENABLE                   1
#define BQ25713_REG_RESET_CTRL_MASK               0x4000
#define BQ25713_REG_RESET_CTRL_SHIFT              14
#define BQ25713_REG_RESET_IDLE                    0
#define BQ25713_REG_RESET                         1
#define BQ25713_VINDPM_RESET_CTRL_MASK            0x2000
#define BQ25713_VINDPM_RESET_CTRL_SHIFT           13
#define BQ25713_VINDPM_RESET_IDLE                 0
#define BQ25713_VINDPM_RESET                      1
#define BQ25713_OTG_CTRL_MASK                     0x1000
#define BQ25713_OTG_CTRL_SHIFT                    12
#define BQ25713_OTG_DISABLE                       0
#define BQ25713_OTG_ENABLE                        1
#define BQ25713_ICO_MODE_CTRL_MASK                0x800
#define BQ25713_ICO_MODE_CTRL_SHIFT               11
#define BQ25713_ICO_DISABLE                       0
#define BQ25713_ICO_ENABLE                        1
#define BQ25713_OTG_VAP_MODE_MASK                 0x20
#define BQ25713_OTG_VAP_MODE_SHIFT                5
#define BQ25713_OTG_VAP_MODE_VAP                  0
#define BQ25713_OTG_VAP_MODE_OTG                  1
#define BQ25713_INDUCTOR_CLAMP_CURRENT_MASK       0x18
#define BQ25713_INDUCTOR_CLAMP_CURRENT_SHIFT      3
#define BQ25713_INDUCTOR_CLAMP_CURRENT_6A         0
#define BQ25713_INDUCTOR_CLAMP_CURRENT_8A         1
#define BQ25713_INDUCTOR_CLAMP_CURRENT_10A        2
#define BQ25713_INDUCTOR_CLAMP_CURRENT_15A        3
#define BQ25713_OTG_RANGE_MASK                    0x04
#define BQ25713_OTG_RANGE_SHIFT                   2
#define BQ25713_OTG_RANGE_4P28V_20P8V             0
#define BQ25713_OTG_RANGE_3V_19P52V               1
#define BQ25713_HIZ_BATFET_CTRL_MASK              0x02
#define BQ25713_HIZ_BATFET_CTRL_SHIFT             1
#define BQ25713_HIZ_BATFET_ON                     0
#define BQ25713_HIZ_BATFET_OFF                    1
#define BQ25713_OTG_PSYS_CTRL_MASK                0x01
#define BQ25713_OTG_PSYS_CTRL_SHIFT               0
#define BQ25713_OTG_PSYS_DSG_MINUS_OTG_PWR        0
#define BQ25713_OTG_PSYS_DSG_ONLY                 1

#define BQ25713_REG_PROHOT_OPTION0                0x36
#define BQ25713_ILIM2_VTH_MASK                    0xF800
#define BQ25713_ILIM2_VTH_SHIFT                   11
#define BQ25713_ILIM2_VTH_BASE                    0
#define BQ25713_ILIM2_VTH_LSB                     10
#define BQ25713_ICRIT_DEG_MASK                    0x600
#define BQ25713_ICRIT_DEG_SHIFT                   9
#define BQ25713_ICRIT_DEG_15US                    0
#define BQ25713_ICRIT_DEG_100US                   1
#define BQ25713_ICRIT_DEG_400US                   2
#define BQ25713_ICRIT_DEG_800US                   3
#define BQ25713_PROCHOT_VDPM_MASK                 0x100
#define BQ25713_PROCHOT_VDPM_SHIFT                8
#define BQ25713_PROCHOT_VDPM_80PCT                0
#define BQ25713_PROCHOT_VDPM_90PCT                1
#define BQ25713_VSYS_VTH_MASK                     0x30
#define BQ25713_VSYS_VTH_SHIFT                    4
#define BQ25713_VSYS_VTH_5P75V_2P85V              0
#define BQ25713_VSYS_VTH_6P0V_3P1V                1
#define BQ25713_VSYS_VTH_6P25V_3P35V              2
#define BQ25713_VSYS_VTH_6P5V_3P6V                3
#define BQ25713_INOM_DEG_MASK                     0x02
#define BQ25713_INOM_DEG_SHIFT                    1
#define BQ25713_INOM_DEG_1MS                      0
#define BQ25713_INOM_DEG_50MS                     1
#define BQ25713_LOWER_PROCHOT_VDPM_MASK           0x01
#define BQ25713_LOWER_PROCHOT_VDPM_SHIFT          0
#define BQ25713_LOWER_PROCHOT_VDPM_DISABLE        0
#define BQ25713_LOWER_PROCHOT_VDPM_ENABLE         1

#define BQ25713_REG_PROHOT_OPTION1                0x38
#define BQ25713_DSG_VTH_MASK                      0xFC00
#define BQ25713_DSG_VTH_SHIFT                     10
#define BQ25713_DSG_VTH_BASE                      0
#define BQ25713_DSG_VTH_LSB                       512
#define BQ25713_DSG_DEG_MASK                      0x300
#define BQ25713_DSG_DEG_SHIFT                     8
#define BQ25713_DSG_DEG_1P6MS                     0
#define BQ25713_DSG_DEG_100US                     1
#define BQ25713_DSG_DEG_6MS                       2
#define BQ25713_DSG_DEG_12MS                      3
#define BQ25713_PROCHOT_COMP_CTRL_MASK            0x40
#define BQ25713_PROCHOT_COMP_CTRL_SHIFT           6
#define BQ25713_PROCHOT_COMP_DISABLE              0
#define BQ25713_PROCHOT_COMP_ENABLE               1
#define BQ25713_PROCHOT_ICRIT_CTRL_MASK           0x40
#define BQ25713_PROCHOT_ICRIT_CTRL_SHIFT          6
#define BQ25713_PROCHOT_ICRIT_DISABLE             0
#define BQ25713_PROCHOT_ICRIT_ENABLE              1
#define BQ25713_PROCHOT_INOM_CTRL_MASK            0x40
#define BQ25713_PROCHOT_INOM_CTRL_SHIFT           6
#define BQ25713_PROCHOT_INOM_DISABLE              0
#define BQ25713_PROCHOT_INOM_ENABLE               1
#define BQ25713_PROCHOT_DSG_CTRL_MASK             0x40
#define BQ25713_PROCHOT_DSG_CTRL_SHIFT            6
#define BQ25713_PROCHOT_DSG_DISABLE               0
#define BQ25713_PROCHOT_DSG_ENABLE                1
#define BQ25713_PROCHOT_VSYS_CTRL_MASK            0x40
#define BQ25713_PROCHOT_VSYS_CTRL_SHIFT           6
#define BQ25713_PROCHOT_VSYS_DISABLE              0
#define BQ25713_PROCHOT_VSYS_ENABLE               1
#define BQ25713_PROCHOT_BATPRES_CTRL_MASK         0x40
#define BQ25713_PROCHOT_BATPRES_CTRL_SHIFT        6
#define BQ25713_PROCHOT_BATPRES_DISABLE           0
#define BQ25713_PROCHOT_BATPRES_ENABLE            1
#define BQ25713_PROCHOT_ACOK_CTRL_MASK            0x40
#define BQ25713_PROCHOT_ACOK_CTRL_SHIFT           6
#define BQ25713_PROCHOT_ACOK_DISABLE              0
#define BQ25713_PROCHOT_ACOK_ENABLE               1

#define BQ25713_REG_ADC_OPTION                    0x3A
#define BQ25713_ADC_CONV_MASK                     0x8000
#define BQ25713_ADC_CONV_SHIFT                    15
#define BQ25713_ADC_CONV_ONESHOT                  0
#define BQ25713_ADC_CONV_CONT                     1
#define BQ25713_ADC_START_CTRL_MASK               0x4000
#define BQ25713_ADC_START_CTRL_SHIFT              14
#define BQ25713_ADC_START_IDLE                    0
#define BQ25713_ADC_START                         1
#define BQ25713_ADC_FULLSCALE_MASK                0x2000
#define BQ25713_ADC_FULLSCALE_SHIFT               13
#define BQ25713_ADC_FULLSCALE_2P04V               0
#define BQ25713_ADC_FULLSCALE_3P06V               1
#define BQ25713_ADC_CMPIN_CTRL_MASK               0x80
#define BQ25713_ADC_CMPIN_CTRL_SHIFT              7
#define BQ25713_ADC_CMPIN_DISABLE                 0
#define BQ25713_ADC_CMPIN_ENABLE                  1
#define BQ25713_ADC_VBUS_CTRL_MASK                0x40
#define BQ25713_ADC_VBUS_CTRL_SHIFT               6
#define BQ25713_ADC_VBUS_DISABLE                  0
#define BQ25713_ADC_VBUS_ENABLE                   1
#define BQ25713_ADC_PSYS_CTRL_MASK                0x20
#define BQ25713_ADC_PSYS_CTRL_SHIFT               5
#define BQ25713_ADC_PSYS_DISABLE                  0
#define BQ25713_ADC_PSYS_ENABLE                   1
#define BQ25713_ADC_IIN_CTRL_MASK                 0x10
#define BQ25713_ADC_IIN_CTRL_SHIFT                4
#define BQ25713_ADC_IIN_DISABLE                   0
#define BQ25713_ADC_IIN_ENABLE                    1
#define BQ25713_ADC_DSG_CTRL_MASK                 0x08
#define BQ25713_ADC_DSG_CTRL_SHIFT                3
#define BQ25713_ADC_DSG_DISABLE                   0
#define BQ25713_ADC_DSG_ENABLE                    1
#define BQ25713_ADC_CHG_CTRL_MASK                 0x04
#define BQ25713_ADC_CHG_CTRL_SHIFT                2
#define BQ25713_ADC_CHG_DISABLE                   0
#define BQ25713_ADC_CHG_ENABLE                    1
#define BQ25713_ADC_VSYS_CTRL_MASK                0x02
#define BQ25713_ADC_VSYS_CTRL_SHIFT               1
#define BQ25713_ADC_VSYS_DISABLE                  0
#define BQ25713_ADC_VSYS_ENABLE                   1
#define BQ25713_ADC_VBAT_CTRL_MASK                0x01
#define BQ25713_ADC_VBAT_CTRL_SHIFT               0
#define BQ25713_ADC_VBAT_DISABLE                  0
#define BQ25713_ADC_VBAT_ENABLE                   1

#define BQ25713_REG_CHARGER_STATUS                0x20
#define BQ25713_AC_STAT_MASK                      0x8000
#define BQ25713_AC_STAT_SHIFT                     15
#define BQ25713_AC_STAT_NOT_PRES                  0
#define BQ25713_AC_STAT_PRES                      1
#define BQ25713_ICO_STAT_MASK                     0x4000
#define BQ25713_ICO_STAT_SHIFT                    14
#define BQ25713_ICO_STAT_IN_PROGRESS              0
#define BQ25713_ICO_STAT_DONE                     1
#define BQ25713_VINDPM_STAT_MASK                  0x1000
#define BQ25713_VINDPM_STAT_SHIFT                 12
#define BQ25713_VINDPM_STAT_INACTIVE              0
#define BQ25713_VINDPM_STAT_ACTIVE                1
#define BQ25713_IINDPM_STAT_MASK                  0x800
#define BQ25713_IINDPM_STAT_SHIFT                 11
#define BQ25713_IINDPM_STAT_INACTIVE              0
#define BQ25713_IINDPM_STAT_ACTIVE                1
#define BQ25713_FAST_CHG_STAT_MASK                0x400
#define BQ25713_FAST_CHG_STAT_SHIFT               10
#define BQ25713_FAST_CHG_STAT_INACTIVE            0
#define BQ25713_FAST_CHG_STAT_ACTIVE              1
#define BQ25713_PRE_CHG_STAT_MASK                 0x200
#define BQ25713_PRE_CHG_STAT_SHIFT                9
#define BQ25713_PRE_CHG_STAT_INACTIVE             0
#define BQ25713_PRE_CHG_STAT_ACTIVE               1
#define BQ25713_OTG_STAT_MASK                     0x100
#define BQ25713_OTG_STAT_SHIFT                    8
#define BQ25713_OTG_STAT_INACTIVE                 0
#define BQ25713_OTG_STAT_ACTIVE                   1
#define BQ25713_FAULT_ACOV_MASK                   0x80
#define BQ25713_FAULT_ACOV_SHIFT                  7
#define BQ25713_FAULT_ACOV_INACTIVE               0
#define BQ25713_FAULT_ACOV_ACTIVE                 1
#define BQ25713_FAULT_BATOC_MASK                  0x40
#define BQ25713_FAULT_BATOC_SHIFT                 6
#define BQ25713_FAULT_BATOC_INACTIVE              0
#define BQ25713_FAULT_BATOC_ACTIVE                1
#define BQ25713_FAULT_ACOC_MASK                   0x20
#define BQ25713_FAULT_ACOC_SHIFT                  5
#define BQ25713_FAULT_ACOC_INACTIVE               0
#define BQ25713_FAULT_ACOC_ACTIVE                 1
#define BQ25713_SYS_OVP_STAT_MASK                 0x10
#define BQ25713_SYS_OVP_STAT_SHIFT                4
#define BQ25713_SYS_OVP_STAT_INACTIVE             0
#define BQ25713_SYS_OVP_STAT_ACTIVE               1
#define BQ25713_FAULT_LATCHOFF_MASK               0x04
#define BQ25713_FAULT_LATCHOFF_SHIFT              2
#define BQ25713_FAULT_LATCHOFF_INACTIVE           0
#define BQ25713_FAULT_LATCHOFF_ACTIVE             1
#define BQ25713_FAULT_OTG_OVP_MASK                0x02
#define BQ25713_FAULT_OTG_OVP_SHIFT               1
#define BQ25713_FAULT_OTG_OVP_INACTIVE            0
#define BQ25713_FAULT_OTG_OVP_ACTIVE              1
#define BQ25713_FAULT_OTG_UVP_MASK                0x01
#define BQ25713_FAULT_OTG_UVP_SHIFT               0
#define BQ25713_FAULT_OTG_UVP_INACTIVE            0
#define BQ25713_FAULT_OTG_UVP_ACTIVE              1

#define BQ25713_REG_PROCHOT_STATUS                0x22
#define BQ25713_PROCHOT_EXT_CTRL_MASK             0x4000
#define BQ25713_PROCHOT_EXT_CTRL_SHIFT            14
#define BQ25713_PROCHOT_EXT_DISABLE               0
#define BQ25713_PROCHOT_EXT_ENABLE                1
#define BQ25713_PROCHOT_PULSE_WIDTH_MASK          0x3000
#define BQ25713_PROCHOT_PULSE_WIDTH_SHIFT         12
#define BQ25713_PROCHOT_WIDTH_100US               0
#define BQ25713_PROCHOT_WIDTH_1MS                 1
#define BQ25713_PROCHOT_WIDTH_10MS                2
#define BQ25713_PROCHOT_WIDTH_5S                  3
#define BQ25713_PROCHOT_CLEAR_MASK                0x800
#define BQ25713_PROCHOT_CLEAR_SHIFT               11
#define BQ25713_PROCHOT_DO_CLEAR                  0
#define BQ25713_PROCHOT_IDLE                      1
#define BQ25713_STAT_VAP_FAIL_MASK                0x200
#define BQ25713_STAT_VAP_FAIL_SHIFT               9
#define BQ25713_STAT_VAP_NO_FAIL                  0
#define BQ25713_STAT_VAP_IN_FAIL                  1
#define BQ25713_STAT_EXIT_VAP_MASK                0x100
#define BQ25713_STAT_EXIT_VAP_SHIFT               8
#define BQ25713_EXIT_VAP_NOT_ACTIVE               0
#define BQ25713_EXIT_VAP_ACTIVE                   1
#define BQ25713_VDPM_STAT_MASK                    0x80
#define BQ25713_VDPM_STAT_SHIFT                   7
#define BQ25713_VDPM_STAT_INACTIVE                0
#define BQ25713_VDPM_STAT_ACTIVE                  1
#define BQ25713_COMP_STAT_MASK                    0x40
#define BQ25713_COMP_STAT_SHIFT                   6
#define BQ25713_COMP_STAT_INACTIVE                0
#define BQ25713_COMP_STAT_ACTIVE                  1
#define BQ25713_ICRIT_STAT_MASK                   0x20
#define BQ25713_ICRIT_STAT_SHIFT                  5
#define BQ25713_ICRIT_STAT_INACTIVE               0
#define BQ25713_ICRIT_STAT_ACTIVE                 1
#define BQ25713_INOM_STAT_MASK                    0x10
#define BQ25713_INOM_STAT_SHIFT                   4
#define BQ25713_INOM_STAT_INACTIVE                0
#define BQ25713_INOM_STAT_ACTIVE                  1
#define BQ25713_DSG_STAT_MASK                     0x08
#define BQ25713_DSG_STAT_SHIFT                    3
#define BQ25713_DSG_STAT_INACTIVE                 0
#define BQ25713_DSG_STAT_ACTIVE                   1
#define BQ25713_VSYS_STAT_MASK                    0x04
#define BQ25713_VSYS_STAT_SHIFT                   2
#define BQ25713_VSYS_STAT_INACTIVE                0
#define BQ25713_VSYS_STAT_ACTIVE                  1
#define BQ25713_BAT_REMOVE_STAT_MASK              0x02
#define BQ25713_BAT_REMOVE_STAT_SHIFT             1
#define BQ25713_BAT_REMOVE_STAT_INACTIVE          0
#define BQ25713_BAT_REMOVE_STAT_ACTIVE            1
#define BQ25713_AC_REMOVE_STAT_MASK               0x01
#define BQ25713_AC_REMOVE_STAT_SHIFT              0
#define BQ25713_AC_REMOVE_STAT_INACTIVE           0
#define BQ25713_AC_REMOVE_STAT_ACTIVE             1

#define BQ25713_REG_CHARGE_CURRENT                0x02
#define BQ25713_CHARGE_CURRENT_MASK               0x1FC0
#define BQ25713_CHARGE_CURRENT_SHIFT              6
#define BQ25713_CHARGE_CURRENT_BASE               0
#define BQ25713_CHARGE_CURRENT_LSB                64

#define BQ25713_REG_MAX_CHG_VOLT                  0x04
#define BQ25713_MAX_CHG_VOLT_MASK                 0x7FF8
#define BQ25713_MAX_CHG_VOLT_SHIFT                3
#define BQ25713_MAX_CHG_VOLT_BASE                 0
#define BQ25713_MAX_CHG_VOLT_LSB                  8

#define BQ25713_REG_MIN_SYS_VOLT                  0x0C
#define BQ25713_MIN_SYS_VOLT_MASK                 0x3F00
#define BQ25713_MIN_SYS_VOLT_SHIFT                8
#define BQ25713_MIN_SYS_VOLT_BASE                 0
#define BQ25713_MIN_SYS_VOLT_LSB                  256

#define BQ25713_REG_IIN_HOST                      0x0E
#define BQ25713_INLIM_HOST_MASK                   0x7F00
#define BQ25713_INLIM_HOST_SHIFT                  8
#define BQ25713_INLIM_HOST_BASE                   50
#define BQ25713_INLIM_HOST_LSB                    50

#define BQ25713_REG_IIN_DPM                       0x24
#define BQ25713_IIN_DPM_MASK                      0x7F00
#define BQ25713_IIN_DPM_SHIFT                     8
#define BQ25713_IIN_DPM_BASE                      50
#define BQ25713_IIN_DPM_LSB                       50

#define BQ25713_REG_VIN_DPM                       0x0A
#define BQ25713_VIN_DPM_MASK                      0x3FC0
#define BQ25713_VIN_DPM_SHIFT                     6
#define BQ25713_VIN_DPM_BASE                      3200
#define BQ25713_VIN_DPM_LSB                       64

#define BQ25713_REG_OTG_VOLT                      0x06
#define BQ25713_OTG_VOLT_MASK                     0x3FFC
#define BQ25713_OTG_VOLT_SHIFT                    2
#define BQ25713_OTG_VOLT_BASE                     0
#define BQ25713_OTG_VOLT_BASE_1280                1280
#define BQ25713_OTG_VOLT_LSB                      8

#define BQ25713_REG_OTG_CURRENT                   0x08
#define BQ25713_OTG_CURRENT_MASK                  0x7F00
#define BQ25713_OTG_CURRENT_SHIFT                 8
#define BQ25713_OTG_CURRENT_BASE                  0
#define BQ25713_OTG_CURRENT_LSB                   50

#define BQ25713_REG_ADC_VBUS_PSYS                 0x26
#define BQ25713_ADC_VBUS_VOLT_MASK                0xFF00
#define BQ25713_ADC_VBUS_VOLT_SHIFT               8
#define BQ25713_ADC_VBUS_VOLT_BASE                3200
#define BQ25713_ADC_VBUS_VOLT_LSB                 64
#define BQ25713_ADC_PSYS_VOLT_MASK                0xFF
#define BQ25713_ADC_PSYS_VOLT_SHIFT               0
#define BQ25713_ADC_PSYS_VOLT_BASE                0
#define BQ25713_ADC_PSYS_VOLT_LSB                 12

#define BQ25713_REG_ADC_IBAT                      0x28
#define BQ25713_ADC_CHG_CURRENT_MASK              0x7F00
#define BQ25713_ADC_CHG_CURRENT_SHIFT             8
#define BQ25713_ADC_CHG_CURRENT_BASE              0
#define BQ25713_ADC_CHG_CURRENT_LSB               64
#define BQ25713_ADC_DSG_CURRENT_MASK              0x7F
#define BQ25713_ADC_DSG_CURRENT_SHIFT             0
#define BQ25713_ADC_DSG_CURRENT_BASE              0
#define BQ25713_ADC_DSG_CURRENT_LSB               256

#define BQ25713_REG_ADC_IIN_CMPIN                 0x2A
#define BQ25713_ADC_INPUT_CURRENT_MASK            0xFF00
#define BQ25713_ADC_INPUT_CURRENT_SHIFT           8
#define BQ25713_ADC_INPUT_CURRENT_BASE            0
#define BQ25713_ADC_INPUT_CURRENT_LSB             50
#define BQ25713_ADC_CMPIN_VOLT_MASK               0xFF
#define BQ25713_ADC_CMPIN_VOLT_SHIFT              0
#define BQ25713_ADC_CMPIN_VOLT_BASE               0
#define BQ25713_ADC_CMPIN_VOLT_LSB                12

#define BQ25713_REG_ADC_VSYS_VBAT                 0x2C
#define BQ25713_ADC_SYS_VOLT_MASK                 0xFF00
#define BQ25713_ADC_SYS_VOLT_SHIFT                8
#define BQ25713_ADC_SYS_VOLT_BASE                 2880
#define BQ25713_ADC_SYS_VOLT_LSB                  64
#define BQ25713_ADC_BAT_VOLT_MASK                 0xFF
#define BQ25713_ADC_BAT_VOLT_SHIFT                0
#define BQ25713_ADC_BAT_VOLT_BASE                 2880
#define BQ25713_ADC_BAT_VOLT_LSB                  64

#define BQ25713_REG_MANUFACTURE_ID                0x2E
#define BQ25713_DEVICE_ID_MASK                    0xFF00
#define BQ25713_DEVICE_ID_SHIFT                   8
#define BQ25713_MANUFACTURE_ID_MASK               0xFF
#define BQ25713_MANUFACTURE_ID_SHIFT              0

#endif
